# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.organization_read import OrganizationRead

class TestOrganizationRead(unittest.TestCase):
    """OrganizationRead unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> OrganizationRead:
        """Test OrganizationRead
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `OrganizationRead`
        """
        model = OrganizationRead()
        if include_optional:
            return OrganizationRead(
                sid = 56,
                name = '',
                is_active = True,
                status = 'active',
                trial_enabled = True,
                date_joined = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
                connection = ''
            )
        else:
            return OrganizationRead(
                sid = 56,
        )
        """

    def testOrganizationRead(self):
        """Test OrganizationRead"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
